Bug 480298 - Spontaneously resumes after suspend, with "WARNING: at drivers/pci/pci-driver.c:368" on kernel-2.6.29
Spontaneously resumes after suspend, with "WARNING: at drivers/pci/pci-driver...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 06:05 EST by James
Modified: 2009-02-24 21:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 21:33:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2009-01-16 06:05:42 EST
Under kernel-2.6.29-0.38.rc1.git4.fc11.x86_64, my notebook spontaneously resumes after suspending to RAM, and then freezes. It worked OK with kernel-2.6.27.10-169.fc10.x86_64. (I have not managed to extract any error messages so far, but will post anything I have when I get it.) An acpidump for this hardware may be found attached to bug 448150.
Comment 1 Michel Alexandre Salim 2009-01-27 11:54:47 EST
I had a different suspend problem with 0.48 (it suspends, but on resume, indicator lights would periodically blink and nothing is displayed on the screen), but suspend works fine in 0.53.rc2.git1 -- could you retest?
Comment 2 James 2009-01-27 15:56:52 EST
OK, under 2.6.29-0.53.rc2.git1.fc11.x86_64 it spontaneously resumes, but doesn't freeze now. I get the following in dmesg:

------------[ cut here ]------------
WARNING: at drivers/pci/pci-driver.c:368 pci_legacy_suspend+0x7e/0xbb() (Not tainted)
Hardware name: M720R
Modules linked in: ppp_mppe ppp_async crc_ccitt ppp_generic slhc aes_x86_64 aes_generic i915 drm i2c_algo_bit rfcomm bridge stp llc bnep sco l2cap coretemp hwmon fuse nf_conntrack_netbios_ns ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_codec_si3054 snd_hda_codec_realtek snd_hda_intel snd_hda_codec pcspkr snd_hwdep serio_raw joydev i2c_i801 sdhci_pci snd_seq_dummy i2c_core firewire_ohci sdhci arc4 snd_seq_oss firewire_core iTCO_wdt mmc_core iTCO_vendor_support snd_seq_midi_event crc_itu_t ecb snd_seq usb_storage snd_seq_device btusb iwlagn snd_pcm_oss bluetooth iwlcore snd_mixer_oss snd_pcm rfkill lib80211 r8169 snd_timer usblp mac80211 mii snd soundcore cfg80211 snd_page_alloc uvcvideo videodev v4l1_compat v4l2_compat_ioctl32 video output wmi ata_generic pata_acpi [last unloaded: microcode]
Pid: 5782, comm: pm-suspend Not tainted 2.6.29-0.53.rc2.git1.fc11.x86_64 #1
Call Trace:
 [<ffffffff8104a5c1>] warn_slowpath+0xb9/0xfe
 [<ffffffff8106d74a>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff81062b44>] ? up+0x34/0x39
 [<ffffffff811e3745>] ? acpi_ut_release_mutex+0x5d/0x61
 [<ffffffff811d98f6>] ? acpi_get_data+0x5e/0x70
 [<ffffffff811e4b9a>] ? acpi_bus_get_device+0x25/0x39
 [<ffffffff811e4c59>] ? acpi_bus_power_manageable+0x11/0x29
 [<ffffffff811b420e>] ? acpi_pci_power_manageable+0x17/0x19
 [<ffffffff811a2cbb>] ? pci_set_power_state+0xcc/0x101
 [<ffffffff811a50b6>] pci_legacy_suspend+0x7e/0xbb
 [<ffffffff811a51ec>] pci_pm_suspend+0x37/0x89
 [<ffffffff8122f69a>] pm_op+0x52/0xe5
 [<ffffffff8122fc4a>] device_suspend+0x330/0x444
 [<ffffffff81079292>] suspend_devices_and_enter+0x52/0x1c3
 [<ffffffff8107958f>] enter_state+0x163/0x1c9
 [<ffffffff810868f0>] ? cpuset_update_task_memory_state+0x0/0x11f
 [<ffffffff810796ac>] state_store+0xb7/0xd8
 [<ffffffff81191053>] kobj_attr_store+0x17/0x19
 [<ffffffff8112e460>] sysfs_write_file+0xe4/0x119
 [<ffffffff810df2ab>] vfs_write+0xab/0x105
 [<ffffffff810df3c9>] sys_write+0x47/0x6f
 [<ffffffff810112ba>] system_call_fastpath+0x16/0x1b
---[ end trace d2432c446c5d5925 ]---
Comment 3 Chuck Ebbert 2009-01-27 18:15:38 EST
line 368;

WARN_ON_ONCE(pci_dev->current_state != PCI_D0)
Comment 4 James 2009-02-12 07:09:58 EST
No longer happening with kernel-2.6.29-0.20.rc3.git12.fc10.x86_64. Any objections to me closing this?
Comment 5 Kyle McMartin 2009-02-24 21:34:10 EST
Nope. :)

Note You need to log in before you can comment on or make changes to this bug.